<?php

// QuickTeam 1.9.0.3 build:20081001

switch($oDB->type)
{

case 'mysql4':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedomain (
  id int,
  title varchar(64) NOT NULL default "untitled",
  vorder int NOT NULL default 0,
  PRIMARY KEY (id)
  )';
  break;
  
case 'mysql':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedomain (
  id int,
  title varchar(64) NOT NULL default "untitled",
  vorder int NOT NULL default 0,
  PRIMARY KEY (id)
  )';
  break;

case 'mssql':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedomain (
  id int NOT NULL CONSTRAINT pk_'.$qte_prefix.'qtedomain PRIMARY KEY,
  title varchar(64) NOT NULL default "untitled",
  vorder int NOT NULL default 0
  )';
  break;
  
case 'pg':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedomain (
  id integer,
  title varchar(64) NOT NULL default "untitled",
  vorder integer NOT NULL default 0,
  PRIMARY KEY (id)
  )';
  break;

case 'sqlite':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedomain (
  id integer,
  title text NOT NULL default "untitled",
  vorder integer NOT NULL default 0,
  PRIMARY KEY (id)
  )';
  break;
  
case 'ibase':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedomain (
  id integer,
  title varchar(64) default "untitled",
  vorder integer default 0,
  PRIMARY KEY (id)
  )';
  break;
  
case 'access':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedomain (
  id int CONSTRAINT pk_'.$qte_prefix.'qtedomain PRIMARY KEY,
  title varchar(64),
  vorder int
  )';
  break;

case 'db2':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedomain (
  id integer NOT NULL,
  title varchar(64) NOT NULL default "untitled",
  vorder integer NOT NULL default 0,
  PRIMARY KEY (id)
  )';
  break;

case 'ifx':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedomain (
  id integer,
  title varchar(64) default "untitled" NOT NULL,
  vorder integer default 0 NOT NULL,
  PRIMARY KEY (id)
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedomain (
  id number(32),
  title varchar2(64) default "untitled" NOT NULL,
  vorder number(32) default 0 NOT NULL,
  CONSTRAINT pk_'.$qte_prefix.'qtedomain PRIMARY KEY (id))';
  break;
  
default:
  die('Database type ['.$this->type.'] not supported... Must be mysql, mssql, pg, db2, ifx or access');

}

echo '<div style="margin-left:20px; color:blue;">';
$b=$oDB->Query($strQ);
echo '</div>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="div_setup_err">',sprintf ($L['E_install'],$qte_prefix.'qtedomain',$qte_database,$qte_user),'</div>';
  echo '<br/><table cellspacing="0" class="ta_button"><tr><td></td><td class="td_button" style="width:120px">&nbsp;<a href="qte_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

$result=$oDB->Query( 'INSERT INTO '.$qte_prefix.'qtedomain (id,title,vorder) VALUES (0,"Administration domain",255)' );
$result=$oDB->Query( 'INSERT INTO '.$qte_prefix.'qtedomain (id,title,vorder) VALUES (1,"My teams",0)' );

?>