<?php

// QuickTeam 1.9.0.3 build:20081001

switch($oDB->type)
{

case 'mysql4':
  $strQ='CREATE TABLE '.$qte_prefix.'qtesection (
  id int,
  domainid int NOT NULL default 0,
  title varchar(32) NOT NULL default "untitled",
  type char(1) NOT NULL default "0",
  status char(1) NOT NULL default "0",
  picture varchar(255),
  vorder int NOT NULL default 255,
  forder varchar(255),
  modid int NOT NULL default 0,
  modname varchar(32) NOT NULL default "Administrator",
  members int NOT NULL default 0,
  allowpic char(1) NOT NULL default "Y",
  template char(1) NOT NULL default "T",
  ontop char(1) NOT NULL default "0",
  PRIMARY KEY (id)
  )';
  break;

case 'mysql':
  $strQ='CREATE TABLE '.$qte_prefix.'qtesection (
  id int,
  domainid int NOT NULL default 0,
  title varchar(32) NOT NULL default "untitled",
  type char(1) NOT NULL default "0",
  status char(1) NOT NULL default "0",
  picture varchar(255),
  vorder int NOT NULL default 255,
  forder varchar(255),
  modid int NOT NULL default 0,
  modname varchar(32) NOT NULL default "Administrator",
  members int NOT NULL default 0,
  allowpic char(1) NOT NULL default "Y",
  template char(1) NOT NULL default "T",
  ontop char(1) NOT NULL default "0",
  PRIMARY KEY (id)
  )';
  break;

case 'mssql':
  $strQ='CREATE TABLE '.$qte_prefix.'qtesection (
  id int NOT NULL CONSTRAINT pk_'.$qte_prefix.'qtesection PRIMARY KEY,
  domainid int NOT NULL default 0,
  title varchar(32) NOT NULL default "untitled",
  type char(1) NOT NULL default "0",
  status char(1) NOT NULL default "0",
  picture varchar(255) NULL default NULL,
  vorder int NOT NULL default 255,
  forder varchar(255) NULL default NULL,
  modid int NOT NULL default 0,
  modname varchar(32) NOT NULL default "Administrator",
  members int NOT NULL default 0,
  allowpic char(1) NOT NULL default "Y",
  template char(1) NOT NULL default "T",
  ontop char(1) NOT NULL default "0"
  )';
  break;

case 'pg':
  $strQ='CREATE TABLE '.$qte_prefix.'qtesection (
  id integer,
  domainid integer NOT NULL default 0,
  title varchar(32) NOT NULL default "untitled",
  type char(1) NOT NULL default "0",
  status char(1) NOT NULL default "0",
  picture varchar(255),
  vorder integer NOT NULL default 255,
  forder varchar(255),
  modid integer NOT NULL default 0,
  modname varchar(32) NOT NULL default "Administrator",
  members integer NOT NULL default 0,
  allowpic char(1) NOT NULL default "Y",
  template char(1) NOT NULL default "T",
  ontop char(1) NOT NULL default "0",
  PRIMARY KEY (id)
  )';
  break;

case 'sqlite':
  $strQ='CREATE TABLE '.$qte_prefix.'qtesection (
  id integer,
  domainid integer NOT NULL default 0,
  title text NOT NULL default "untitled",
  type text NOT NULL default "0",
  status text NOT NULL default "0",
  picture text,
  vorder integer NOT NULL default 255,
  forder text,
  modid integer NOT NULL default 0,
  modname text NOT NULL default "Administrator",
  members integer NOT NULL default 0,
  allowpic text NOT NULL default "Y",
  template text NOT NULL default "T",
  ontop text NOT NULL default "0",
  PRIMARY KEY (id)
  )';
  break;
  
case 'ibase':
  $strQ='CREATE TABLE '.$qte_prefix.'qtesection (
  id integer,
  domainid integer default 0,
  title varchar(32) default "untitled",
  type char(1) default "0",
  status char(1) default "0",
  picture varchar(255),
  vorder integer default 255,
  forder varchar(255),
  modid integer default 0,
  modname varchar(32) default "Administrator",
  members integer default 0,
  allowpic char(1) default "Y",
  template char(1) default "T",
  ontop char(1) default "0",
  PRIMARY KEY (id)
  )';
  break;
  
case 'access':
  $strQ='CREATE TABLE '.$qte_prefix.'qtesection (
  id int NOT NULL CONSTRAINT pk_'.$qte_prefix.'qtesection PRIMARY KEY,
  domainid int,
  title varchar(32),
  type char(1),
  status char(1),
  picture varchar(255),
  vorder int,
  forder varchar(255),
  modid int,
  modname varchar(32),
  members int,
  allowpic char(1),
  template char(1),
  ontop char(1)
  )';
  break;

case 'db2':
  $strQ='CREATE TABLE '.$qte_prefix.'qtesection (
  id integer NOT NULL,
  domainid integer NOT NULL default 0,
  title varchar(32) NOT NULL default "untitled",
  type char(1) NOT NULL default "0",
  status char(1) NOT NULL default "0",
  picture varchar(255),
  vorder integer NOT NULL default 255,
  forder varchar(255),
  modid integer NOT NULL default 0,
  modname varchar(32) NOT NULL default "Administrator",
  members integer NOT NULL default 0,
  allowpic char(1) NOT NULL default "Y",
  template char(1) NOT NULL default "T",
  ontop char(1) NOT NULL default "0",
  PRIMARY KEY (id)
  )';
  break;

case 'ifx':
  $strQ='CREATE TABLE '.$qte_prefix.'qtesection (
  id integer,
  domainid integer default 0 NOT NULL,
  title varchar(32) default "untitled" NOT NULL,
  type char(1) default "0" NOT NULL,
  status char(1) default "0" NOT NULL,
  picture varchar(255),
  vorder integer default 255 NOT NULL,
  forder varchar(255),
  modid integer default 0 NOT NULL,
  modname varchar(32) default "Administrator" NOT NULL,
  members integer default 0 NOT NULL,
  allowpic char(1) default "Y" NOT NULL,
  template char(1) default "T" NOT NULL,
  ontop char(1) default "0" NOT NULL,
  PRIMARY KEY (id)
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qte_prefix.'qtesection (
  id number(32),
  domainid number(32) default 0 NOT NULL,
  title varchar2(32) default "untitled" NOT NULL,
  type char(1) default "0" NOT NULL,
  status char(1) default "0" NOT NULL,
  picture varchar2(255),
  vorder number(32) default 255 NOT NULL,
  forder varchar2(255),
  modid integer default 0 NOT NULL,
  modname varchar2(32) default "Administrator" NOT NULL,
  members number(32) default 0 NOT NULL,
  allowpic char(1) default "Y" NOT NULL,
  template char(1) default "T" NOT NULL,
  ontop char(1) default "0" NOT NULL,
  CONSTRAINT pk_'.$qte_prefix.'qtesection PRIMARY KEY (id))';
  break;
  
default:
  die('Database type ['.$oDB->type.'] not supported... Must be mysql, mssql, pg, db2, ifx or access');
 
}

echo '<div style="margin-left:20px; color:blue;">';
$b=$oDB->Query($strQ);
echo '</div>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="div_setup_err">',sprintf ($L['E_install'],$qte_prefix.'qtesection',$qte_database,$qte_user),'</div>';
  echo '<br/><table cellspacing="0" class="ta_button"><tr><td></td><td class="td_button" style="width:120px">&nbsp;<a href="qte_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

$oDB->Query
(
'INSERT INTO '.$qte_prefix.'qtesection
 (id,domainid,title,type,status,vorder,forder,modid,modname,members,picture) 
 VALUES
 (0,0,"Members collector","0","0",0,"status_i;fullname;phones;emails;picture",1,"Admin",1,"picture/none.gif")'
);
$oDB->Query
(
'INSERT INTO '.$qte_prefix.'qtesection
 (id,domainid,title,type,status,vorder,forder,modid,modname,members) 
 VALUES
 (1,1,"My team","0","0",1,"status_i;fullname;phones;emails;picture",1,"Admin",0)'
);

$oDB->Query( 'INSERT INTO '.TABLANG.' (objtype,objlang,objid,objname) VALUES ("secdesc","en","s0","Collect members not yet in a team or removed from a team")' );

?>