<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Team
 * @package    QuickTeam team
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qte
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qte_init.php');
include(Translate('qte_coppa.inc'));

// INTIALISE

$oDB->Query('SELECT setting FROM '.TABSETTING.' WHERE param="admin_fax"');
$row = $oDB->Getrow();
$strFax = $row['setting'];
$oDB->Query('SELECT setting FROM '.TABSETTING.' WHERE param="admin_name"');
$row = $oDB->Getrow();
$strName = $row['setting'];
$oDB->Query('SELECT setting FROM '.TABSETTING.' WHERE param="admin_addr"');
$row = $oDB->Getrow();
$strAddr = $row['setting'];

// --------
// HTML START
// --------

include('qte_adm_p_header.php');

echo <<<END
<h2>{$L['Register']} / COPPA</h2>
<p>{$L['Coppa']["Form_info"]}<br/>$strFax<br/>$strName<br/>$strAddr</p>
<table class="ta_hidden">
<colgroup span="5">
<col width="300"></col>
<col width="30"></col>
<col width="170"></col>
<col width="30"></col>
<col width="170"></col>
</colgroup>
<tr>
<td class="td_hidden"><b>{$L['Coppa']['Permission']}</b></td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$L['Y']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$L['N']}</td>
</tr>
<tr>
<td class="td_hidden">{$L['Coppa']['Child_name']}</td>
<td colspan="4" style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$L['Coppa']['Child_login']}</td>
<td colspan="4" style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$L['Coppa']['Child_email']}</td>
<td colspan="4" style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$L['Coppa']['Child_privacy']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$L['Coppa']['Members']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
<td style="padding: 4px;border-style: solid;border-width: 0px; border-color: black">{$L['Coppa']['Nobody']}</td>
</tr>
</table>
<p>{$L['Coppa']["Agreement"]}</p>
<table class="ta_hidden">
<colgroup span="2">
<col width="300"></col>
<col width="400"></col>
</colgroup>
<tr>
<td class="td_hidden">{$L['Coppa']['Parent_name']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$L['Coppa']['Parent_relation']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$L['Coppa']['Parent_email']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden">{$L['Coppa']['Parent_phone']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black">&nbsp;</td>
</tr>
<tr>
<td class="td_hidden"><br/><br/>{$L['Coppa']['Parent_sign']}</td>
<td style="padding: 4px;border-style: solid;border-width: 1px; border-color: black"><br/></br/><br/><br/><br/></td>
</tr>
</table>

<p>{$L['Coppa']['End']}</p>\n
END;

// --------
// HTML END
// --------

include('qte_adm_p_footer.php');

?>