<?php

// QuickTeam 1.9.0.3 build:20081001

// --------
// SUBMITTED UPLOAD
// --------

if ( isset($_POST['ok']) )
{  
  $strFile = strtolower($_FILES['title']['name']);
  $strName = strip_tags($_POST['name']); if ( get_magic_quotes_gpc() ) $strName = stripslashes($strName);
  $strName = QTconv($strName,'3',QTE_CONVERT_AMP); if ( strlen($strName)>255 ) $strName = substr($strName,0,255);
  
  if ( empty($strName) ) $strName = $strFile;

  $strExt = substr(strrchr($strFile,'.'),1);
  $strDate = date('Ymd');
  $strFile = $id.'_'.$strDate.'_'.date('Hi').'_'.substr($strFile,0,4).'.'.$strExt;

  // ---------
  // load picture
  // ---------
  if ( !is_uploaded_file($_FILES['title']['tmp_name']) ) $qte_error = 'You did not upload a file!';

  // ---------
  // is size (kb) ok
  // ---------
  if ( empty($qte_error) )
  {
    if ( !isset($_SESSION[QT]['uploadsize']) ) $_SESSION[QT]['uploadsize']=1000;
    if ( $_FILES['title']['size'] > (intval($_SESSION[QT]['uploadsize'])*1024+16) )
    {
      $qte_error = $L['E_file_size'].' (&lt;'.$_SESSION[QT]['uploadsize'].' Kb)';
      unlink($_FILES['title']['tmp_name']);
    }
  }

  // ---------
  // check extension and mimetype
  // ---------
  if ( empty($qte_error) )
  {
    include('bin/qte_upload.php');
    if ( isset($arrFileextensions) ) {
    if ( !empty($arrFileextensions) ) {
    if ( !in_array($strExt,$arrFileextensions) ) {
      $qte_error = "Format not supported... [.$str]";
      unlink($_FILES['title']['tmp_name']);
    }}}
    if ( isset($arrMimetypes) ) {
    if ( !empty($arrMimetypes) ) {
    if ( !in_array(strtolower($_FILES['title']['type']),$arrMimetypes) ) {
      $qte_error = 'Format not supported... '.$_FILES['title']['type'];
      unlink($_FILES['title']['tmp_name']);
    }}}
  }

  // ---------
  // copy the file
  // ---------
  if ( empty($qte_error) )
  {
    // File has passed all validation, copy it to the final destination and remove the temporary file:
    if ( copy($_FILES['title']['tmp_name'],QTE_DIR_DOC.$strFile) )
    {
      $oDB->Query( 'INSERT INTO '.TABDOC.' (id,docname,docfile,docpath,docdate) VALUES ('.$id.',"'.$strName.'","'.$strFile.'","'.QTE_DIR_DOC.'","'.$strDate.'")' );
      $bUpload=true;
    }
    else
    {
      echo '<p class="error">Unable to copy the file. The directory /',QTE_DIR_DOC,' is probably not writeable...</p>';
    }
    unlink($_FILES['title']['tmp_name']);

  }

}

// --------
// SUBMITTED DELETE
// --------

if ( isset($_GET['del']) )
{
  if ( strstr($_GET['del'],strval($id).'_') )
  {
    $oDB->Query( 'DELETE FROM '.TABDOC.' WHERE id='.$id.' AND docfile="'.$_GET['del'].'"' );
    if (file_exists(QTE_DIR_DOC.$_GET['del'])) unlink(QTE_DIR_DOC.$_GET['del']);
    // exit
    $oVIP->EndMessage(NULL,$L['S_delete'],$_SESSION[QT]['skin_dir'],2);
  }
  else
  {
    die('Unable to delete the file: Invalid document filename.');
  }
}

// --------
// HTML START
// --------

// -- QUERY DOCS --

$arrDocs = array();
$oDB->Query('SELECT * FROM '.TABDOC.' WHERE id='.$id.' ORDER BY docdate DESC');
while ( $row=$oDB->Getrow() )
{ 
  $arrDocs[] = $row;
}

// -- DISPLAY DOCS --

echo '
<table class="ta_hidden" cellspacing="0">
<colgroup span="2"><col width="175"></col><col></col></colgroup>
<tr class="tr_hidden">
<td class="td_hidden">
';
include('qte_usr_inc.php');
echo '</td>',N;

echo '<td class="td_hidden">',N;

if ( $bEdit && $_SESSION[QT]['willedit'] ) echo '<form method="post" action="qte_usr.php?id='.$id.'&amp;tt=',$tt,'" enctype="multipart/form-data">',N;

if ( !empty($qte_error) ) echo '<span class="error">',$qte_error,'</span>',N;

  echo '<table class="ta_cnt" cellspacing="0">
  <colgroup span="3"><col width="100"></col><col></col><col width="150"></col></colgroup>
  <tr class="tr_cnt">
  <th class="th_u th_u_first th_u_empty"></th>
  <th class="th_u th_u_empty"></th>
  <th class="th_u th_u_last th_u_empty"></th>
  </tr>
  ',N;

  foreach ($arrDocs as $intId => $arrDoc)
  {
    echo '<tr>';
    echo '<td class="td_u td_u_first small">',QTdate($arrDoc['docdate'],$arrQTdate),'</td>',N;
    echo '<td class="td_u">';
    if ( file_exists(QTE_DIR_DOC.$arrDoc['docfile']) )
    {
      echo '<a href="',QTE_DIR_DOC.$arrDoc['docfile'],'" target="_blank">',$arrDoc['docname'],'</a>';
    }
    else
    {
      echo $arrDoc['docname'];
    }
    echo '</td>';
    echo '<td class="td_u td_u_last">';
    if ( $bEdit && $_SESSION[QT]['willedit'] )
    {
      echo '<a class="small" href="qte_cmd.php?u=',$id,'&a=renamedoc&v=',$arrDoc['docfile'],'">',$L['Rename'],'</a> | ';
      echo '<a class="small" href="',$oVIP->selfurl,'?id=',$id,'&del=',$arrDoc['docfile'],'">',$L['Delete'],'</a>';
    }
    echo '&nbsp;</td>',N;
    echo '</tr>',N;
  }
  if ( count($arrDocs)==0 ) echo '<tr><td class="td_u center" colspan="3">',$L['E_no_document'],'</td></tr>';
  
  if ( $bEdit )
  {
    if ( $_SESSION[QT]['willedit'] )
    {
      echo '<tr><th class="th_u" colspan="3">&nbsp;</th></tr>';
      echo '<tr><td class="td_u" colspan="3">',$L['Document_add'],' <input type="file" name="title" id="title" size="35" /></td></tr>',N;
      echo '<tr><td class="td_u" colspan="3">',$L['Document_name'],' <input type="text" name="name" id="name" size="40" maxlength="255"/><input type="hidden" name="id" value="',$id,'"/><input type="submit" name="ok" value="',$L['Add'],'"/></td></tr>',N;
    }
  }

  echo '<tr class="tr_cnt">
  <td class="tf_u tf_u_first"></td>
  <td class="tf_u"></td>
  <td class="tf_u tf_u_last"></td>
  </tr>
  ';
  
echo '</table>';

if ( $bEdit && $_SESSION[QT]['willedit'] ) echo '</form>';

echo '
</td>
</tr>
</table>
';

?>