<?php

// QuickTeam 1.9.0.3 build:20081001

switch($oDB->type)
{

case 'mysql4':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedoc (
  id int NOT NULL default 0,
  docdate varchar(8) NOT NULL default "0",
  docname varchar(255),
  docfile varchar(255),
  docpath varchar(255)
  )';
  break;

case 'mysql':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedoc (
  id int NOT NULL default 0,
  docdate varchar(8) NOT NULL default "0",
  docname varchar(255),
  docfile varchar(255),
  docpath varchar(255)
  )';
  break;

case 'mssql':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedoc (
  id int NOT NULL default 0,
  docdate varchar(8) NOT NULL default "0",
  docname varchar(255),
  docfile varchar(255),
  docpath varchar(255)
  )';
  break;

case 'pg':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedoc (
  id integer NOT NULL default 0,
  docdate varchar(8) NOT NULL default "0",
  docname varchar(255),
  docfile varchar(255),
  docpath varchar(255)
  )';
  break;
  
case 'ibase':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedoc (
  id integer default 0,
  docdate varchar(8) default "0",
  docname varchar(255),
  docfile varchar(255),
  docpath varchar(255)
  )';
  break;

case 'sqlite':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedoc (
  id integer,
  docdate varchar(8) NOT NULL default "0",
  docname varchar(255),
  docfile varchar(255),
  docpath varchar(255)
  )';
  break;


case 'access':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedoc (
  id int,
  docdate varchar(8),
  docname varchar(255),
  docfile varchar(255),
  docpath varchar(255)
  )';
  break;
  
case 'db2':
  $strQ='CREATE TABLE '.$qte_prefix.'qtechild (
  id integer NOT NULL default 0,
  docdate varchar(8) NOT NULL default "0",
  docname varchar(255),
  docfile varchar(255),
  docpath varchar(255)
  )';
  break;

case 'ifx':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedoc (
  id integer default 0 NOT NULL,
  docdate varchar(8) default "0" NOT NULL,
  docname varchar(255),
  docfile varchar(255),
  docpath varchar(255)
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qte_prefix.'qtedoc (
  id number(32) default 0 NOT NULL,
  docdate varchar2(8) default "0" NOT NULL,
  docname varchar2(255),
  docfile varchar2(255),
  docpath varchar2(255)
  )';
  break;
  
default:
  die('Database type ['.$this->type.'] not supported... Must be mysql, mssql, pg, firebird, db2, ifx or access');
}

echo '<div style="margin-left:20px; color:blue;">';
$b=$oDB->Query($strQ);
echo '</div>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="div_setup_err">',sprintf ($L['E_install'],$qte_prefix.'qtedoc',$qte_database,$qte_user),'</div>';
  echo '<br/><table cellspacing="0" class="ta_button"><tr><td></td><td class="td_button" style="width:120px">&nbsp;<a href="qte_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

?>