<?php

// QuickTeam 1.9.0.3 build:20081001

switch($oDB->type)
{

case 'mysql4':
  $strQ='CREATE TABLE '.$qte_prefix.'qteindex (
  userid int NOT NULL default 0,
  ufield varchar(32) NOT NULL default "undefined",
  ukey varchar(32) NOT NULL default "undefined"
  )';
  break;
  
case 'mysql':
  $strQ='CREATE TABLE '.$qte_prefix.'qteindex (
  userid int NOT NULL default 0,
  ufield varchar(32) NOT NULL default "undefined",
  ukey varchar(32) NOT NULL default "undefined"
  )';
  break;

case 'mssql':
  $strQ='CREATE TABLE '.$qte_prefix.'qteindex (
  userid int NOT NULL default 0,
  ufield varchar(32) NOT NULL default "undefined",
  ukey varchar(32) NOT NULL default "undefined"
  )';
  break;
  
case 'pg':
  $strQ='CREATE TABLE '.$qte_prefix.'qteindex (
  userid integer,
  ufield varchar(32) NOT NULL default "undefined",
  ukey varchar(32) NOT NULL default "undefined"
  )';
  break;

case 'sqlite':
  $strQ='CREATE TABLE '.$qte_prefix.'qteindex (
  userid integer,
  ufield text NOT NULL default "undefined",
  ukey text NOT NULL default "undefined"
  )';
  break;
  
case 'ibase':
  $strQ='CREATE TABLE '.$qte_prefix.'qteindex (
  userid integer,
  ufield varchar(32) default "undefined",
  ukey varchar(32) default "undefined"
  )';
  break;
  
case 'access':
  $strQ='CREATE TABLE '.$qte_prefix.'qteindex (
  userid int,
  ufield varchar(32),
  ukey varchar(32)
  )';
  break;

case 'db2':
  $strQ='CREATE TABLE '.$qte_prefix.'qteindex (
  userid integer NOT NULL,
  ufield varchar(32) NOT NULL default "undefined",
  ukey varchar(32) NOT NULL default "undefined"
  )';
  break;

case 'ifx':
  $strQ='CREATE TABLE '.$qte_prefix.'qteindex (
  userid integer,
  ufield varchar(32) default "undefined" NOT NULL,
  ukey varchar(32) default "undefined" NOT NULL
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qte_prefix.'qteindex (
  userid number(32),
  ufield varchar2(32) default "undefined" NOT NULL,
  ukey varchar2(32) default "undefined" NOT NULL
  )';
  break;

default:
  die('Database type ['.$this->type.'] not supported... Must be mysql, mssql, pg, db2, ifx or access');

}

echo '<div style="margin-left:20px; color:blue;">';
$b=$oDB->Query($strQ);
echo '</div>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="div_setup_err">',sprintf ($L['E_install'],$qte_prefix.'qteindex',$qte_database,$qte_user),'</div>';
  echo '<br/><table cellspacing="0" class="ta_button"><tr><td></td><td class="td_button" style="width:120px">&nbsp;<a href="qte_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

$result=$oDB->Query( 'INSERT INTO '.$qte_prefix.'qteindex (userid,ufield,ukey) VALUES (0,"name","Admin")' );

?>