<?php

// QuickTeam 1.9.0.3 build:20081001 // attention uid->userid

switch($oDB->type)
{

case 'mysql4':
  $strQ='CREATE TABLE '.$qte_prefix.'qtes2u (
  sid int NOT NULL default 0,
  userid int NOT NULL default 0,
  issuedate varchar(8) NOT NULL default "0",
  PRIMARY KEY (sid,userid)
  )';
  break;
  
case 'mysql':
  $strQ='CREATE TABLE '.$qte_prefix.'qtes2u (
  sid int NOT NULL default 0,
  userid int NOT NULL default 0,
  issuedate varchar(8) NOT NULL default "0",
  PRIMARY KEY (sid,userid)
  )';
  break;

case 'mssql':
  $strQ='CREATE TABLE '.$qte_prefix.'qtes2u (
  sid int NOT NULL default 0,
  userid int NOT NULL default 0,
  issuedate varchar(8) NOT NULL default "0",
  CONSTRAINT '.$qte_prefix.'qtes2u_pk PRIMARY KEY (sid,userid)
  )';
  break;

case 'pg':
  $strQ='CREATE TABLE '.$qte_prefix.'qtes2u (
  sid int NOT NULL default 0,
  userid int NOT NULL default 0,
  issuedate varchar(8) NOT NULL default "0",
  PRIMARY KEY (sid,userid)
  )';
  break;

case 'sqlite':
  $strQ='CREATE TABLE '.$qte_prefix.'qtes2u (
  sid integer NOT NULL default 0,
  userid integer NOT NULL default 0,
  issuedate text NOT NULL default "0",
  PRIMARY KEY (sid,userid)
  )';
  break;
  
case 'ibase':
  $strQ='CREATE TABLE '.$qte_prefix.'qtes2u (
  sid integer default 0,
  userid integer default 0,
  issuedate varchar(8) default "0",
  PRIMARY KEY (sid,userid)
  )';
  break;
  
case 'access':
  $strQ='CREATE TABLE '.$qte_prefix.'qtes2u (
  sid int,
  userid int,
  issuedate varchar(8),
  CONSTRAINT '.$qte_prefix.'qtes2u_pk PRIMARY KEY (sid,userid)  
  )';
  break;

case 'db2':
  $strQ='CREATE TABLE '.$qte_prefix.'qtes2u (
  sid integer NOT NULL default 0,
  userid integer NOT NULL default 0,
  issuedate varchar(8) NOT NULL default "0",
  PRIMARY KEY (sid,userid)
  )';
  break;

case 'ifx':
  $strQ='CREATE TABLE '.$qte_prefix.'qtes2u (
  sid integer default 0 NOT NULL,
  userid integer default 0 NOT NULL,
  issuedate varchar(8) default "0" NOT NULL,
  PRIMARY KEY (sid,userid)
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qte_prefix.'qtes2u (
  sid number(32) default 0 NOT NULL,
  userid number(32) default 0 NOT NULL,
  issuedate varchar2(8) default "0" NOT NULL, 
  CONSTRAINT pk_'.$qte_prefix.'qtes2u_pk PRIMARY KEY (sid,userid)
  )';
  break;
  
default:
  die('Database type ['.$oDB->type.'] not supported... Must be mysql, mssql, pg, db2, sqlite, firebird, ifx, oci or access');
 
}

echo '<div style="margin-left:20px; color:blue;">';
$b=$oDB->Query($strQ);
echo '</div>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="div_setup_err">',sprintf ($L['E_install'],$qte_prefix.'qtes2u',$qte_database,$qte_user),'</div>';
  echo '<br/><table cellspacing="0" class="ta_button"><tr><td></td><td class="td_button" style="width:120px">&nbsp;<a href="qte_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

$oDB->Query( 'INSERT INTO '.TABS2U.' VALUES (0,1,"'.date('Ymd').'")' );

?>